Skip to content

List audit events

GET
/api/v1/account/audit
curl --request GET \
--url http://127.0.0.1:8080/api/v1/account/audit \
--header 'Authorization: Bearer <token>'

Instance history for an administrator, or owned-library history for a library owner. Uses the persisted local-mode user when authentication is disabled. Otherwise an authenticated browser session is required, except for the current account and sign-in. Modifying authenticated requests require the current X-CSRF-Token. Credentials and responses must not be cached.

library
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

actor
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

category
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

target
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

since
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

until
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

before
string

Optional filter; times are Unix seconds and before is an exclusive event ID cursor. Results contain at most 100 events, newest first.

Operation completed.

Media typeapplication/json
object
events
required
Array<object> | null
object
action
required
string
actor_id
required
string
correlation_id
required
string
created_at
required
integer format: int64
credential_id
required
string
id
required
integer format: int64
library_id
required
string
outcome
required
string
target_id
required
string
target_type
required
string
key
additional properties
any
key
additional properties
any
Examplegenerated
{
"events": [
{
"action": "example",
"actor_id": "example",
"correlation_id": "example",
"created_at": 1,
"credential_id": "example",
"id": 1,
"library_id": "example",
"outcome": "example",
"target_id": "example",
"target_type": "example"
}
]
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Stable account problem code; authentication, authority, validation or lifecycle conflict.

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}